#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gexiv2-0.14.2

- Next

  gnome-bluetooth-42.8

- Up
- Home

# Nautilus-45.2.1

## Introduction to Nautilus

The Nautilus package contains the GNOME file manager.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/nautilus/45/nautilus-45.2.1.tar.xz

- Download MD5 sum: 88aadc5165a20442e63afc97348f5586

- Download size: 3.1 MB

- Estimated disk space required: 80 MB (with tests)

- Estimated build time: 1.0 SBU (with tests, both using parallelism=4)

### Nautilus Dependencies

#### Required

bubblewrap-0.8.0, gexiv2-0.14.2, gnome-autoar-0.4.4, gnome-desktop-44.0, libadwaita-1.4.3, libnotify-0.8.3, libportal-0.7.1, libseccomp-2.5.5, and Tracker-3.6.0

#### Recommended

desktop-file-utils-0.27, Exempi-2.6.5, gobject-introspection-1.78.1, gst-plugins-base-1.22.10, libcloudproviders-0.3.5, and libexif-0.6.24

#### Optional

Gi-DocGen-2023.3

#### Recommended (Runtime)

adwaita-icon-theme-45.0 and Gvfs-1.52.2 (For hotplugging and device mounting to work)

## Installation of Nautilus

Fix the location to install the API documentation:

    sed "/docdir =/s@\$@ / 'nautilus-45.2.1'@" -i meson.build

Install Nautilus by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dselinux=false     \
                -Dpackagekit=false  \
                ..                  &&

    ninja

To test the results, issue: ninja test. The tests need to be run in a graphical environment. One test is known to fail if tracker-miners-3.6.2 is not installed. One test is also known to timeout if the user running the tests has a large home directory.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dselinux=false`: This switch disables the use of selinux which isn't supported by BLFS.

`-Dpackagekit=false`: This switch disables the use of PackageKit which isn't suitable for BLFS.

`-Dcloudproviders=false`: Use this switch if you do not have libcloudproviders-0.3.5 installed.

## Contents

Installed Programs: nautilus and nautilus-autorun-software
Installed Library: libnautilus-extension.so
Installed Directories: /usr/{include,lib,share}/nautilus and /usr/share/gtk-doc/html/libnautilus-extension (optional)

### Short Descriptions

nautilus | is the GNOME file manager
`libnautilus-extension.so` | supplies the functions needed by the file manager extensions

- Prev

  gexiv2-0.14.2

- Next

  gnome-bluetooth-42.8

- Up
- Home